import { IAppToolkit } from '../../../app-toolkit/app-toolkit.interface';
import { AppTokenTemplatePositionFetcher } from '../../../position/template/app-token.template.position-fetcher';
import { YearnContractFactory, YearnYCrv } from '../contracts';
export declare class EthereumYearnYCrvTokenTokenFetcher extends AppTokenTemplatePositionFetcher<YearnYCrv> {
    protected readonly appToolkit: IAppToolkit;
    protected readonly contractFactory: YearnContractFactory;
    groupLabel: string;
    constructor(appToolkit: IAppToolkit, contractFactory: YearnContractFactory);
    getContract(address: string): YearnYCrv;
    getAddresses(): Promise<string[]>;
    getUnderlyingTokenDefinitions(): Promise<{
        address: string;
        network: import("../../../types").Network;
    }[]>;
    getPricePerShare(): Promise<number[]>;
}
